Loading...
Searching...
No Matches
Opm::Satfunc::PhaseChecks::UnscaledSatfuncCheckPoint< Scalar >::UnscaledEndPoints Struct Reference

Collection of saturation function end-points and function values extracted from tabulated saturation functions. More...

`#include <UnscaledSatfuncCheckPoint.hpp>`

## Public Attributes

const satfunc::RawTableEndPoints * | rtep {nullptr}
| Raw table end-points.
const satfunc::RawFunctionValues * | rfunc {nullptr}
| Raw saturation function values.

## Detailed Description

template<typename Scalar>
struct Opm::Satfunc::PhaseChecks::UnscaledSatfuncCheckPoint< Scalar >::UnscaledEndPoints

Collection of saturation function end-points and function values extracted from tabulated saturation functions.

## Member Data Documentation

## rfunc

template<typename Scalar>

const satfunc::RawFunctionValues* Opm::Satfunc::PhaseChecks::UnscaledSatfuncCheckPoint< Scalar >::UnscaledEndPoints::rfunc {nullptr}

Raw saturation function values.

Maximum function values for all saturation functions in addition to relative permeability values at critical saturation points.

## rtep

template<typename Scalar>

const satfunc::RawTableEndPoints* Opm::Satfunc::PhaseChecks::UnscaledSatfuncCheckPoint< Scalar >::UnscaledEndPoints::rtep {nullptr}

Raw table end-points.

Minimum, critical, and maximum saturation points for each phase for all tabulated saturation functions.

The documentation for this struct was generated from the following file:

- opm/simulators/utils/satfunc/UnscaledSatfuncCheckPoint.hpp